sources:
  - service
  - ingress
provider: "{{ cloudstack.plugins.external_dns.config.provider }}"
metrics:
  enabled: true
  serviceMonitor:
    enabled: true
    namespace: "{{ cloudstack.plugins.external_dns.namespace }}"
{% if cloudstack.plugins.external_dns.config.provider == "cloudflare" %}
cloudflare:
  apiToken: "{{ cloudstack.plugins.cloudflare.config.api.token }}"
  apiKey: "{{ cloudstack.plugins.cloudflare.config.api.key }}"
  email: "{{ cloudstack.plugins.cloudflare.config.email }}"
  proxied: {{ cloudstack.plugins.cloudflare.config.proxied|bool }}
{% endif %}
{% if cloudstack.plugins.external_dns.config.provider == "hetzner" %}
hetzner:
  token: "{{ cloudstack.plugins.hcloud.config.token }}"
{% endif %}
